bongo-setup(1)

NAME
bongo-setup - Sets up the Bongo server

SYNOPSIS
bongo-setup [options]

DESCRIPTION
bongo-setup installs the initial configuration in readiness for running the Bongo server. bongo-setup should be run after installing, and before trying to run Bongo itself.

OPTIONS

-h, --help
    Show help message and exit.

-n, --noprompt
    Run non-interactively.

-H HOSTNAME, --hostname=HOSTNAME
    Hostname of this Bongo server.

-M MAILDOMAIN, --maildomain=MAILDOMAIN
    Domain we accept mail for.

-f FILE, --file=FILE
    Import objects from XML file FILE

-S TARGET, --gen-schema=TARGET
    Generate schema for TARGET (ad, edir, mdb, openldap).

-a NOACL, --noacl=NOACL
    Do not set up ACLs.

-m MDB_DRIVER, --mdb-driver=MDB_DRIVER
    Specify directory driver (file, ldap, managed-slapd); Default is managed-slapd.

-b BASE, --base=BASE
    Base directory for Bongo.

--managed-slapd-path=PATH
    Path to your slapd bianry. Default is /usr/sbin/slapd

--managed-slapd-port=PORT
    Port for managed slapd. Default is 8983.

SSL OPTIONS

-r FILE, --cert=FILE
    Use certificate file FILE

-k FILE, --key=FILE
    Use private key file FILE

LDAP OPTIONS

-u AUTHUSER, --authuser=AUTHUSER
    User for directory authentication (only available when --mdb-driver=ldap )

-p AUTHPASS, --authpass=AUTHPASS
    Password for directory authentication (only available when --mdb-driver=ldap )

AUTHOR
This man page was written by Jonny Lamb <jonnylamb@jonnylamb.com>.

SEE ALSO
bongo-config(1), bongo-admin(1)